- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxRenamingStrategyInterface Class Reference

Search for all occurrences

## Detailed Description

This base class is an abstract implementation of a renaming strategy for avoiding name clashes.

An implementation of a reader (FbxReader) or writer (FbxWriter) class must call a concrete implementation of "FbxRenamingStrategyInterface::Rename()" every time a name is imported or exported to avoid name clashes. Any class deriving from FbxRenamingStrategyBase must implement FbxRenamingStrategyInterface::Clear(), FbxRenamingStrategyInterface::Rename(), and FbxRenamingStrategyInterface::Clone().

See also:
  FbxNameHandler FbxRenamingStrategyNumber

Definition at line 40 of file fbxrenamingstrategy.h.

`#include <fbxrenamingstrategy.h>`

Inheritance diagram for FbxRenamingStrategyInterface:
[legend]

List of all members.

## Public Member Functions
| FbxRenamingStrategyInterface ()
| Constructor.
virtual | ~FbxRenamingStrategyInterface ()
| Destructor.
virtual void | Clear ()=0
| Resets internal state regarding assigned names.
virtual bool | Rename (FbxNameHandler &pName)=0
| Rename a name if necessary to avoid name-clash issues.
virtual FbxRenamingStrategyInterface * | Clone ()=0
| Create a dynamic renaming strategy instance of the same type as the child class.

## Constructor & Destructor Documentation

FbxRenamingStrategyInterface | ( |  | ) |

Constructor.

virtual ~FbxRenamingStrategyInterface | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void Clear | ( |  | ) | `[pure virtual]`

Search for all occurrences

Resets internal state regarding assigned names.

Implemented in FbxRenamingStrategyNumber, and FbxRenamingStrategy.

virtual bool Rename | ( | FbxNameHandler & | pName | ) | `[pure virtual]`

Search for all occurrences

Rename a name if necessary to avoid name-clash issues.

Parameters:

  pName | The name to be renamed.

Returns:
  Return `true` on success, `false` otherwise.

Implemented in FbxRenamingStrategyNumber, and FbxRenamingStrategy.

virtual FbxRenamingStrategyInterface* Clone | ( |  | ) | `[pure virtual]`

Search for all occurrences

Create a dynamic renaming strategy instance of the same type as the child class.

Returns:
  New instance.

Implemented in FbxRenamingStrategyNumber, and FbxRenamingStrategy.

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxrenamingstrategy.h

FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface
FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface FbxRenamingStrategyInterface